Package org.apache.cayenne.dba.db2

## Class DB2EJBQLConditionTranslator

- java.lang.Object
- - org.apache.cayenne.ejbql.EJBQLBaseVisitor
  - - org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator
    - - org.apache.cayenne.dba.db2.DB2EJBQLConditionTranslator

- All Implemented Interfaces:
    `EJBQLExpressionVisitor`

      public class DB2EJBQLConditionTranslator
      extends EJBQLConditionTranslator

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator

      `context, multiColumnOperands`

    - ### Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `continueFlag`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `visitTrim​(EJBQLExpression expression, int finishedChildIndex)` |
    `boolean` | `visitTrimBoth​(EJBQLExpression expression)` |

    - ### Methods inherited from class org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator

      `addMultiColumnOperand, afterChild, checkNullParameter, visitAbs, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitBetween, visitBooleanLiteral, visitConcat, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDbPath, visitDecimalLiteral, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitGreaterOrEqual, visitGreaterThan, visitIdentificationVariable, visitIn, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMemberOf, visitMod, visitMultiply, visitNamedInputParameter, visitNamedInputParameterForIn, visitNot, visitNotEquals, visitOr, visitPath, visitPositionalInputParameter, visitPositionalInputParameterForIn, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpper`

    - ### Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `visitAbstractSchemaName, visitAscending, visitAverage, visitClassName, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitDelete, visitDescending, visitDistinct, visitFrom, visitFromItem, visitGroupBy, visitHaving, visitIdentifier, visitInnerFetchJoin, visitInnerJoin, visitMax, visitMin, visitNegative, visitOrderBy, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPatternValue, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSum, visitTok, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitWhere`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### visitTrim

          public boolean visitTrim​(EJBQLExpression expression,
                                   int finishedChildIndex)

      Specified by:
        `visitTrim` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitTrim` in class `EJBQLConditionTranslator`

    - #### visitTrimBoth

          public boolean visitTrimBoth​(EJBQLExpression expression)

      Specified by:
        `visitTrimBoth` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitTrimBoth` in class `EJBQLConditionTranslator`